import type { CustomThemeConfig } from '@skeletonlabs/tw-plugin';

export const edeaTheme: CustomThemeConfig = {
	name: 'edea-theme',
	properties: {
		// =~= Theme Properties =~=
		'--theme-font-family-base': 'system-ui',
		'--theme-font-family-heading': 'system-ui',
		'--theme-font-color-base': '0 0 0',
		'--theme-font-color-dark': '255 255 255',
		'--theme-rounded-base': '9999px',
		'--theme-rounded-container': '8px',
		'--theme-border-base': '1px',
		// =~= Theme On-X Colors =~=
		'--on-primary': '255 255 255',
		'--on-secondary': '0 0 0',
		'--on-tertiary': '0 0 0',
		'--on-success': '0 0 0',
		'--on-warning': '0 0 0',
		'--on-error': '255 255 255',
		'--on-surface': '255 255 255',
		// =~= Theme Colors  =~=
		// primary | #427588 
		'--color-primary-50': '227 234 237', // #e3eaed
		'--color-primary-100': '217 227 231', // #d9e3e7
		'--color-primary-200': '208 221 225', // #d0dde1
		'--color-primary-300': '179 200 207', // #b3c8cf
		'--color-primary-400': '123 158 172', // #7b9eac
		'--color-primary-500': '66 117 136', // #427588
		'--color-primary-600': '59 105 122', // #3b697a
		'--color-primary-700': '50 88 102', // #325866
		'--color-primary-800': '40 70 82', // #284652
		'--color-primary-900': '32 57 67', // #203943
		// secondary | #ef9d26 
		'--color-secondary-50': '253 240 222', // #fdf0de
		'--color-secondary-100': '252 235 212', // #fcebd4
		'--color-secondary-200': '251 231 201', // #fbe7c9
		'--color-secondary-300': '249 216 168', // #f9d8a8
		'--color-secondary-400': '244 186 103', // #f4ba67
		'--color-secondary-500': '239 157 38', // #ef9d26
		'--color-secondary-600': '215 141 34', // #d78d22
		'--color-secondary-700': '179 118 29', // #b3761d
		'--color-secondary-800': '143 94 23', // #8f5e17
		'--color-secondary-900': '117 77 19', // #754d13
		// tertiary | #888888 
		'--color-tertiary-50': '237 237 237', // #ededed
		'--color-tertiary-100': '231 231 231', // #e7e7e7
		'--color-tertiary-200': '225 225 225', // #e1e1e1
		'--color-tertiary-300': '207 207 207', // #cfcfcf
		'--color-tertiary-400': '172 172 172', // #acacac
		'--color-tertiary-500': '136 136 136', // #888888
		'--color-tertiary-600': '122 122 122', // #7a7a7a
		'--color-tertiary-700': '102 102 102', // #666666
		'--color-tertiary-800': '82 82 82', // #525252
		'--color-tertiary-900': '67 67 67', // #434343
		// success | #28a745 
		'--color-success-50': '223 242 227', // #dff2e3
		'--color-success-100': '212 237 218', // #d4edda
		'--color-success-200': '201 233 209', // #c9e9d1
		'--color-success-300': '169 220 181', // #a9dcb5
		'--color-success-400': '105 193 125', // #69c17d
		'--color-success-500': '40 167 69', // #28a745
		'--color-success-600': '36 150 62', // #24963e
		'--color-success-700': '30 125 52', // #1e7d34
		'--color-success-800': '24 100 41', // #186429
		'--color-success-900': '20 82 34', // #145222
		// warning | #e5be01 
		'--color-warning-50': '251 245 217', // #fbf5d9
		'--color-warning-100': '250 242 204', // #faf2cc
		'--color-warning-200': '249 239 192', // #f9efc0
		'--color-warning-300': '245 229 153', // #f5e599
		'--color-warning-400': '237 210 77', // #edd24d
		'--color-warning-500': '229 190 1', // #e5be01
		'--color-warning-600': '206 171 1', // #ceab01
		'--color-warning-700': '172 143 1', // #ac8f01
		'--color-warning-800': '137 114 1', // #897201
		'--color-warning-900': '112 93 0', // #705d00
		// error | #d72638 
		'--color-error-50': '249 222 225', // #f9dee1
		'--color-error-100': '247 212 215', // #f7d4d7
		'--color-error-200': '245 201 205', // #f5c9cd
		'--color-error-300': '239 168 175', // #efa8af
		'--color-error-400': '227 103 116', // #e36774
		'--color-error-500': '215 38 56', // #d72638
		'--color-error-600': '194 34 50', // #c22232
		'--color-error-700': '161 29 42', // #a11d2a
		'--color-error-800': '129 23 34', // #811722
		'--color-error-900': '105 19 27', // #69131b
		// surface | #545454 
		'--color-surface-50': '229 229 229', // #e5e5e5
		'--color-surface-100': '221 221 221', // #dddddd
		'--color-surface-200': '212 212 212', // #d4d4d4
		'--color-surface-300': '187 187 187', // #bbbbbb
		'--color-surface-400': '135 135 135', // #878787
		'--color-surface-500': '84 84 84', // #545454
		'--color-surface-600': '76 76 76', // #4c4c4c
		'--color-surface-700': '63 63 63', // #3f3f3f
		'--color-surface-800': '50 50 50', // #323232
		'--color-surface-900': '41 41 41' // #292929

	}
};